## gross 1.0.2

=== debian/changelog ===
gross (1.0.2-2) unstable; urgency=low

  * debian/rules: updating config.{sub,guess} (Closes: 583762)
  * debian/README.Debian and debian/control modified to note that Sendmail 
    is supported (Closes: 584597)

 -- Antonio Radici <antonio@dyne.org>  Mon, 07 Jun 2010 16:36:30 +0100

gross (1.0.2-1) unstable; urgency=low

  * Initial release (Closes: 548972)

 -- Antonio Radici <antonio@dyne.org>  Mon, 17 May 2010 21:34:46 +0100
