=== debian/control ===
Source: gross
Section: mail
Priority: extra
Maintainer: Antonio Radici <antonio@dyne.org>
Build-Depends: debhelper (>= 7.0.50~), autotools-dev, libc-ares-dev
Standards-Version: 3.8.4
Homepage: http://code.google.com/p/gross/
Vcs-Git: git://git.debian.org/collab-maint/gross.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/gross.git;a=summary

Package: gross
Architecture: any
Depends: adduser, postfix | exim4-daemon-light | exim4-daemon-heavy | sendmail,
 ${shlibs:Depends}, ${misc:Depends}
Description: fast and efficient greylist server with DNSBL support
 Gross is a resource efficient greylist server written in C that supports
 greylisting and/or blocking based on DNSRBL so it will not impact legitimate
 mails
 .
 It also contains a milter implementation and natively supports Postfix,
 Exim and Sendmail.
