=== debian/rules ===
#!/usr/bin/make -f
# vim:noet:
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh  $@
override_dh_auto_configure:
	cp -f /usr/share/misc/config.sub config.sub
	cp -f /usr/share/misc/config.guess config.guess
	dh_auto_configure
	
override_dh_install:
	dh_install
	# some static/shared libraries, not really needed
	rm -rf debian/gross/usr/lib
	# a binary used only for testing
	rm debian/gross/usr/bin/gclient
	rmdir debian/gross/usr/bin

override_dh_clean:
	rm -f config.{guess,sub}
