=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# See uscan(1) for format

# because uscan doesn't work with code.google.com ATM
version=3
opts=\
downloadurlmangle=s|.*[?]name=(.*?)&.*|http://gross.googlecode.com/files/$1|,\
filenamemangle=s|[^/]+[?]name=(.*?)&.*|$1| \
http://code.google.com/p/gross/downloads/detail[?]name=gross-([0-9.]+).tar.gz&.*
