## gross 1.0.4

=== debian/changelog ===
gross (1.0.4-1) unstable; urgency=medium

  * QA upload.
    Closes: #1107872

  [ Jelmer Vernooĳ ]
  * Migrate repository from alioth to salsa.

  [ Andreas Tille ]
  * New upstream version (Fixes CVE-2023-52159)
    Closes: #1105382
  * Fix Homepage
    Closes: #981690
  * Fix watch file
  * Standards-Version: 4.7.2
  * debhelper-compat 13 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Remove trailing whitespace in debian/rules (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Update renamed lintian tag names in lintian overrides.
  * Fix prototypes to build properly with gcc-15
    Closes: #1039214
  * Add systemd service
    Closes: #1039214
  * d/copyright: Fix Upstream-Source

  [ Tj ]
  * Fix autoconf bit-rot
  * Fix automake declarations
  * Fix compiler warning
  * Create /etc if not existing

 -- Andreas Tille <tille@debian.org>  Thu, 28 Aug 2025 11:53:21 +0200

gross (1.0.2-4) unstable; urgency=low

  * debian/README: fixed a typo (Closes: 670596)
  * debian/patches/0003-change-default-user.patch:
    + use 'gross' as default user (Closes: 620368, 614790)
  * debian/rules:
    + enable milter when building the package (Closes: 620367)
    + hardening enabled by using a higher dh version
  * debian/control:
    + switched my email to debian.org
    + bumped Standards-Version to 3.9.6, no changes required
    + bumped DH to >= 9

 -- Antonio Radici <antonio@debian.org>  Sat, 25 Oct 2014 08:04:36 +0000

gross (1.0.2-3) unstable; urgency=low

  * debian/source/options: ignoring our changes to config.{sub,guess}
    (Closes: 643146).
  * debian/rules: removed the override_dh_clean section due to the above
    changes.
  * debian/control:
    + Standards-Version bumped to 3.9.3, no change required.
    + switched my mail to antonio@debian.org.

 -- Antonio Radici <antonio@debian.org>  Mon, 19 Mar 2012 20:24:53 +0000
