=== debian/control ===
Source: gross
Maintainer: Debian QA Group <packages@qa.debian.org>
Section: mail
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libc-ares-dev
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/debian/gross
Vcs-Git: https://salsa.debian.org/debian/gross.git
Homepage: https://codeberg.org/bizdelnick/gross
Rules-Requires-Root: no

Package: gross
Architecture: any
Depends: adduser,
         postfix | exim4-daemon-light | exim4-daemon-heavy | sendmail,
         ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: fast and efficient greylist server with DNSBL support
 Gross is a resource efficient greylist server written in C that supports
 greylisting and/or blocking based on DNSRBL so it will not impact legitimate
 mails
 .
 It also contains a milter implementation and natively supports Postfix,
 Exim and Sendmail.
