=== debian/rules ===
#!/usr/bin/make -f
# vim:noet:

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh  $@

override_dh_auto_configure:
	cp -f /usr/share/misc/config.sub config.sub
	cp -f /usr/share/misc/config.guess config.guess
	dh_auto_configure -- --with-milter

override_dh_install:
	dh_install
	# some static/shared libraries, not really needed
	rm -rf debian/gross/usr/lib
	# a binary used only for testing
	rm debian/gross/usr/bin/gclient
	rmdir debian/gross/usr/bin
