=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/@PACKAGE@-$1\.tar\.gz/ \
  https://codeberg.org/bizdelnick/gross/tags .*/v?(\d[\d.]+)\.tar\.gz
